[WIP]: unify file drop menu and containment
ClosedPublic

Authored by mart on Feb 11 2017, 5:40 PM.

Details

Summary

very early version of unification of the desktop and folderview drop
menus: use the instance of the qmenu created by the filecopy job, and
send it to the containment to be populated by the extra entries to
create plasmoids/apply wallpaper

Test Plan

tested only for folderview, work in progress to make it work
with normal desktop containment

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
mart updated this revision to Diff 11232.Feb 11 2017, 5:40 PM
mart retitled this revision from to [WIP]: unify file drop menu and containment.
mart updated this object.
mart edited the test plan for this revision. (Show Details)
mart added a reviewer: Plasma.
Restricted Application added a project: Plasma. · View Herald TranscriptFeb 11 2017, 5:40 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
hein accepted this revision.Feb 14 2017, 3:00 PM
hein added a reviewer: hein.
hein added a subscriber: hein.

Modulo the 'mimeDataCopy' name change we mentioned on IRC.

This revision is now accepted and ready to land.Feb 14 2017, 3:00 PM
mart updated this revision to Diff 11370.Feb 15 2017, 3:38 PM
mart edited edge metadata.
  • pass directly the dropJob
This revision was automatically updated to reflect the committed changes.